Update document information

Update the extracted data or custom metadata of a document — for example, to submit corrections or feedback on the extracted fields. Documents in pendingCorrection or approved state can be updated through this endpoint.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the document to modify

Request

This endpoint expects an object.
datamap from strings to objectsOptional
Document data to update. Can contain any field extracted from the document.
clientDatamap from strings to anyOptional
Custom metadata object for your application's use. This data is stored with the document but not processed by Invofox.

Response

Updated document
_idstringOptionalformat: "DocumentId"
accountstringOptionalformat: "AccountId"
Account the document belongs to.
environmentstringOptionalformat: "EnvironmentId"
Environment the document belongs to.
companystringOptionalformat: "CompanyId"
Company the document belongs to.
creatorstringOptionalformat: "UserId"
User that uploaded the document
clientDataobjectOptional

“Additional data to be added to each document. Must be an object or an array of objects. If data to be specified to each document is different, this parameter should have the following format: [ \{ _filename: \<name of the file to which attach this data>, <key>: <value> }, ... \{ _filename: \<name of the file to which attach this data>, <key>: <value> } ].”

typeenumOptional
namestringOptional
Original name of the uploaded file
isGroundTruthbooleanOptional

Indicates the document is marked as Ground Truth (GT)

creationstringOptionalformat: "date-time"
Upload timestamp
imageslist of stringsOptional

Array of Azure Storage URLs (SAS) to access the document extracted images

originalstringOptionalformat: "URL"

Azure Storage URL (SAS) to access the original file

mimetypestringOptional
datamap from strings to anyOptional
Extracted document data. Structure varies by document type.
publicStateenumOptionalDefaults to processing
confidenceenumOptional
processInfoobjectOptional
validationInfoobjectOptional
approvalInfoobjectOptional
importobjectOptional
exportslist of objectsOptional
geometryobjectOptional
deletedbooleanOptional
Indicates whether the document has been logically deleted
duplicatedbooleanOptionalDeprecated

Errors

400
Bad Request Error
403
Forbidden Error
410
Gone Error
429
Too Many Requests Error
500
Internal Server Error